Module javafx.graphics
Package javafx.scene.shape

## Enum CullFace

- java.lang.Object
- - java.lang.Enum<CullFace>
  - - javafx.scene.shape.CullFace

- All Implemented Interfaces:
    `Serializable`, `Comparable<CullFace>`, `Constable`

      public enum CullFace
      extends Enum<CullFace>

  Face culling setting for use with `Shape3D.cullFace`
  Since:
    JavaFX 8.0
  See Also:
    `Shape3D.cullFaceProperty()`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BACK` | Cull all back-facing polygons.
    `FRONT` | Cull all front-facing polygons.
    `NONE` | Do not perform any face culling.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static CullFace` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CullFace[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CullFace NONE

      Do not perform any face culling.

    - #### BACK

          public static final CullFace BACK

      Cull all back-facing polygons. BACK is defined as clockwise winding order.

    - #### FRONT

          public static final CullFace FRONT

      Cull all front-facing polygons. FRONT is defined as counter-clockwise winding order.

  - ### Method Detail

    - #### values

          public static CullFace[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CullFace valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null